it-swarm.com.de

Wie installiere ich Tomcat6 in Ubuntu 16.04 mit apt-get install?

Ist es möglich, Tomcat6 in Ubuntu 16.04 zu installieren? unterstützt Ubuntu 16.04 Tomcat6? Wenn ich versuche, Tomcat 6 mithilfe von apt-get install zu installieren, wird die folgende Meldung angezeigt

Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package Tomcat6

und wenn ich versuche, libtomcat6-Java zu installieren, erhalte ich folgende Meldung.

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package libtomcat6-Java is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libtomcat6-Java' has no installation candidate

hilf mir, Tomcat6 mit apt-get zu installieren. Danke.

2
Satya N

Sie müssen die tar-Datei herunterladen, dekomprimieren und in ein Verzeichnis Ihrer Wahl verschieben. Sie können hier einen Spiegel auswählen und einen anderen Download-Link erhalten .

Meine Schritte:

$ wget http://ftp.unicamp.br/pub/Apache/Tomcat/tomcat-6/v6.0.53/bin/Apache-Tomcat-6.0.53.tar.gz
$ tar xvzf Apache-Tomcat-6.0.47.tar.gz
$ Sudo mkdir /usr/local/Tomcat
$ Sudo mv Apache-Tomcat-6.0.47 /usr/local/Tomcat

Ich bin mir fast sicher, dass Tomcat 6 in Java 6 funktioniert. Daher sind zusätzliche Schritte erforderlich, wenn Ihr Ubuntu beispielsweise Java 8 verwendet.

Da Java 6 für Ubuntu nicht mehr vertrieben wird, müssen Sie ein Legacy-Paket herunterladen und manuell installieren, entsprechend dieser Antwort .

$ chmod a+x jdk-6u45-linux-x64.bin
$ Sudo ./jdk-6u45-linux-x64.bin
$ mv jdk1.6.0_45 Java-6-Oracle
$ Sudo mv Java-6-Oracle /usr/lib/jvm

Und jetzt können Sie Java Version mit update-alternatives oder galternatives wechseln.

Ändern Sie außerdem Ihre .bashrc -Datei, um die Java_HOME -Variable festzulegen:

export Java_HOME=/usr/lib/jvm/Java-6-Oracle

Für 6 ist der Befehl apt-get

Sudo apt-get install Tomcat6

Ich weiß nicht, ob diese Version noch im Repo für Ubuntu 16.04 ist. Andernfalls müssen Sie das tar-Bundle herunterladen und von dort installieren.

  • Warum brauchst du 6, nicht 7 oder 8?
  • Warum bist du auf apt-get beschränkt?

Die manuelle Installation ist nicht so schwierig, wenn ich mich richtig erinnere. Sie sollten jedoch genau aufzeichnen, was Sie tun, und alle Konfigurationsdateien kopieren, die Sie als Backup bearbeitet haben. Wenn Sie ein Upgrade benötigen, möchten Sie wissen, wie Sie es zum ersten Mal gemacht haben.

0
SPRBRN